89<?php
/**
 * Template part for displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Travel_Agency
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	
    <?php
        $meta     = get_post_meta( get_the_ID(), 'wp_travel_engine_setting', true ); 
        $currency = travel_agency_get_trip_currency(); ?>
        <div class="holder">
            <div class="img-holder">
                <a href="<?php the_permalink(); ?>">
                <?php
                    if( has_post_thumbnail() ){        
                        the_post_thumbnail( 'travel-agency-blog', array( 'itemprop' => 'image' ) );        
                    }else{ ?>
                        <img src="<?php echo esc_url( get_template_directory_uri() . '/images/fallback-img-410-250.jpg' ); ?>" alt="<?php the_title_attribute(); ?>" itemprop="image" />            
                    <?php
                    }
                    
                    if( isset( $meta['trip_price'] ) && ! empty( $meta['trip_price'] ) ){
                        $price = $meta['trip_price'];
                    }elseif( isset( $meta['trip_prev_price'] ) && ! empty( $meta['trip_prev_price'] ) ){
                        $price = $meta['trip_prev_price'];
                    }else{
                        $price = false;
                    }
                    if( $price ) echo '<span class="price-holder"><span>' . esc_html( $currency . $price ) . '</span></span>';

                    if( travel_agency_is_wpte_gd_activated() && isset( $meta['group']['discount'] ) && isset( $meta['group']['traveler'] ) && ! empty( $meta['group']['traveler'] ) ){ ?>
                        <span class="group-discount"><span class="tooltip"><?php _e( 'You have group discount in this trip.', 'travel-agency' ) ?></span><?php _e( 'Group Discount', 'travel-agency' ) ?></span>
                        <?php
                    }
                ?>
                </a>
            </div>
            
            <div class="text-holder">
                <?php if( travel_agency_is_wpte_tr_activated() ){ ?>
                    <div class="star-holder">
                        <?php
                            global $post;
                            $comments = get_comments( array(
                                'post_id' => $post->ID,
                                'status' => 'approve',
                            ) );
                            if ( !empty( $comments ) ){
                                echo '<div class="review-wrap"><div class="average-rating">';
                                $sum = 0;
                                $i = 0;
                                foreach($comments as $comment) {
                                    $rating = get_comment_meta( $comment->comment_ID, 'stars', true );
                                    $sum = $sum+$rating;
                                    $i++;
                                }
                                $aggregate = $sum/$i;
                                $aggregate = round($aggregate,2);

                                echo 
                                '<script>
                                    jQuery(document).ready(function($){
                                        $(".agg-rating").rateYo({
                                            rating: '.$aggregate.'
                                        });
                                    });
                                </script>';
                                echo '<div class="agg-rating"></div><div itemprop="aggregateRating" class="aggregate-rating" itemscope="" itemtype="http://schema.org/AggregateRating">
                                <span class="rating-star" itemprop="ratingValue">'.$aggregate.'</span><span itemprop="reviewCount">'.$i.'</span> '. esc_html( _nx( 'review', 'reviews', $i, 'reviews count', 'travel-agency' ) ) .'</div>';
                                echo '</div></div><!-- .review-wrap -->';
                            }
                        ?>  
                    </div>
                <?php } ?>       

                <h3 class="title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
        		<div class="meta-info">
        			<?php 
                        if( isset( $meta['trip_duration'] ) ) echo '<span class="time"><span><i class="fa fa-clock-o"></i>' . absint( $meta['trip_duration'] ) . esc_html__( ' Days', 'travel-agency' ) . '</span></span>'; 
                    ?>                        
        		</div>
                <?php if( travel_agency_is_wpte_tfsd_activated() ){ 
                    $starting_dates = get_post_meta( get_the_ID(), 'WTE_Fixed_Starting_Dates_setting', true  );
                    
                   if( isset( $starting_dates['departure_dates'] ) && ! empty( $starting_dates['departure_dates'] ) && isset($starting_dates['departure_dates']['sdate']) ){ ?>
                        <div class="next-trip-info">
                            <h3><?php esc_html_e( 'Next Departure', 'travel-agency' ); ?></h3>
                            <ul class="next-departure-list">
                                <?php 
                                    foreach ( $starting_dates as $key => $value) {
                                        $sdate      = isset( $value['sdate'] ) && ! empty( $value['sdate'] ) ? $value['sdate'] : array();
                                        $space_left = isset( $value['sdate'] ) && ! empty( $value['sdate'] ) ? $value['seats_available'] : array();

                                        if( ! empty( $sdate ) || ! empty( $space_left ) ){
                                            foreach ($sdate as $k => $v ) {
                                                $remaining = isset( $space_left[$k] ) && ! empty( $space_left[$k] ) ?  $space_left[$k] . ' ' . __( 'spaces left', 'travel-agency' ) : __( '0 space left', 'travel-agency' );

                                                echo ' <li><span class="left"><i class="fa fa-clock-o"></i>'. date_i18n( get_option( 'date_format' ), strtotime( $v ) ).'</span><span class="right">'. esc_html( $remaining) .'</span></li>';
                                            }
                                        }
                                    } 
                                ?>
                            </ul>
                        </div>
                    <?php 
                    } 
                }?>
        		<div class="btn-holder">
        			<a href="<?php the_permalink(); ?>" class="btn-more"><?php esc_html_e( 'View Detail', 'travel-agency' ); ?></a>
        		</div>
            </div><!-- .text-holder -->
        </div>
    
</article><!-- #post-<?php the_ID(); ?> -->
